kind: ConfigMap
apiVersion: v1
metadata:
  name: {{ gitea_name }}
  namespace: {{ namespace }}
data:
  app.ini: |
    APP_NAME = Gitea: Git with a cup of tea
    RUN_USER = gitea
    RUN_MODE = prod

    [cron]
    ENABLED      = true
    RUN_AT_START = true

    [cron.update_mirrors]
    SCHEDULE = @every 10m

    [database]
{% if gitea_db_type == 'sqlite' %}
    DB_TYPE  = sqlite3
{% else %}
    DB_TYPE  = postgres
    HOST     = {{ gitea_pg_name }}:5432
    NAME     = {{ gitea_db_secret.resources[0].data['database-name'] | b64decode }}
    USER     = {{ gitea_db_secret.resources[0].data['database-user'] | b64decode }}
    PASSWD   = {{ gitea_db_secret.resources[0].data['database-password'] | b64decode }}
    SSL_MODE = disable
{% endif %}
    PATH    = /data/sqlite/gitea.db

    [log]
    MODE      = console
    LEVEL     = info
    ROUTER    = console
    ROOT_PATH = /home/gitea/log

    [mailer]
{% if smtp_relay | default(False) or smtp_address | default(False) or smtps_address | default(False) %}
    ENABLED        = true
    FROM           = {{ gitea_noreply | default('noreply@' ~ root_domain) }}
{% if smtp_relay | default(False) %}
    HOST           = {{ smtp_relay }}:{{ smtp_port | default(25) }}
    IS_TLS_ENABLED = {{ 'fals' if (smtp_port | default(25) | int == 25) else 'tru' }}e
{% elif smtps_address | default(False) %}
    HOST           = {{ smtps_address | urlsplit('hostname') }}:{{ smtps_address | urlsplit('port') }}
    IS_TLS_ENABLED = true
{% else %}
    HOST           = {{ smtp_address | urlsplit('hostname') }}:{{ smtp_address | urlsplit('port') }}
    IS_TLS_ENABLED = false
{% endif %}
    MAILER_TYPE    = smtp
{% if smtps_address | default(False) and k8s_flavor == 'kubernetes' %}
    SKIP_VERIFY    = false
{% else %}
    SKIP_VERIFY    = true
{% endif %}
    SUBJECT_PREFIX = `[Gitea] `
{% else %}
    ENABLED = false
{% endif %}

    [markup.asciidoc]
    ENABLED         = true
    FILE_EXTENSIONS = .adoc,.asciidoc
    RENDER_COMMAND  = "asciidoc --out-file=- -"
    IS_INPUT_FILE   = false

    [metrics]
{% if do_exporters %}
    ENABLED = true
{% else %}
    ENABLED = false
{% endif %}

    [mirror]
    DEFAULT_INTERVAL = 8h
    MIN_INTERVAL     = 10m

    [oauth2]
    ENABLE = false

    [openid]
    ENABLE_OPENID_SIGNIN = false
    ENABLE_OPENID_SIGNUP = false

    [picture]
    AVATAR_UPLOAD_PATH            = /data/uploads/avatars/people
    DISABLE_GRAVATAR              = false
    ENABLE_FEDERATED_AVATAR       = true
    REPOSITORY_AVATAR_UPLOAD_PATH = /data/uploads/avatars/repo

    [attachment]
    PATH = /data/uploads/attachments

    [repository]
    PREFERRED_LICENSES = MIT License,Apache License 2.0
    ROOT               = /data/git/repositories

    [security]
    INTERNAL_TOKEN = {{ internal_token }}
    INSTALL_LOCK   = true
    SECRET_KEY     = {{ secret_key }}

    [server]
{% if gitea_ssh_external_ip | default(False) %}
    SSH_DOMAIN       = {{ gitea_ssh_external_ip }}
{% elif do_loadbalancer_services | default(False) and gt_exsvc is defined and gt_exsvc.resources is defined and gt_exsvc.resources[0] is defined and gt_exsvc.resources[0].status is defined and gt_exsvc.resources[0].status.loadBalancer is defined and gt_exsvc.resources[0].status.loadBalancer.ingress is defined and gt_exsvc.resources[0].status.loadBalancer.ingress | length > 0 and (gt_exsvc.resources[0].status.loadBalancer.ingress[0].hostname is defined or gt_exsvc.resources[0].status.loadBalancer.ingress[0].ip is defined) %}
    SSH_DOMAIN       = {{ gt_exsvc.resources[0].status.loadBalancer.ingress[0].hostname | default(gt_exsvc.resources[0].status.loadBalancer.ingress[0].ip) }}
{% elif 0 == 1 %}
    SSH_DOMAIN       = NodePort!
{% else %}
    SSH_DOMAIN       = {{ gitea_fqdn }}
{% endif %}
    DOMAIN           = {{ gitea_fqdn }}
    HTTP_PORT        = 3000
    SSH_PORT         = 2022
    ROOT_URL         = https://{{ gitea_fqdn }}
    LOCAL_ROOT_URL   = http://{{ gitea_name }}.{{ namespace }}.svc.{{ cluster_domain }}
    DISABLE_SSH      = false
    START_SSH_SERVER = true
    LFS_START_SERVER = false
    OFFLINE_MODE     = false

    [service]
    REGISTER_EMAIL_CONFIRM            = false
    ENABLE_NOTIFY_MAIL                = false
{% if (gitea_admin_secret | default([])) | length > 0 and gitea_disable_registrations %}
{% if do_ldap %}
    ALLOW_ONLY_EXTERNAL_REGISTRATION  = true
    DISABLE_REGISTRATION              = false
{% else %}
    DISABLE_REGISTRATION              = true
{% endif %}
{% else %}
    DISABLE_REGISTRATION              = false
{% endif %}
    ENABLE_CAPTCHA                    = false
    REQUIRE_SIGNIN_VIEW               = false
    DEFAULT_KEEP_EMAIL_PRIVATE        = false
    DEFAULT_ALLOW_CREATE_ORGANIZATION = true
    DEFAULT_ENABLE_TIMETRACKING       = true
    NO_REPLY_ADDRESS                  = {{ gitea_noreply | default('noreply@' ~ root_domain) }}

    [session]
    PROVIDER = file

    [webhook]
    TASK_INTERVAL   = 1
    DELIVER_TIMEOUT = 10
    SKIP_TLS_VERIFY = true
